<div>
  <div class="container-full tablelayout">
    <div class="innertable">
      <table class="table table-fixed table-bordered table-hover" ng-class="getTableClass()">
        <thead>
        <tr class="first">
          <th quick-ng-repeat="field in ::tableSettings.fields" quick-repeat-list="sorting" ng-if="field.show" ng-click="changeSorting(field.name, field.type)" ng-class="selectedCls(field.name, field.type)" translate="{{::field.text}}"></th>
        </tr>
        <tr class="second">
          <th quick-ng-repeat="field in ::tableSettings.fields" quick-repeat-list="headers" ng-if="field.show">
            <input ng-if="field.type === 'text'" class="form-control" placeholder="{{field.text | translate}}" type="text" ng-model="field.search" ng-model-options="{debounce: 250}" ng-change="newRequest(true)">
            <input ng-if="field.type === 'number'" class="form-control" placeholder="{{field.text | translate}}" type="number" ng-model="field.search" ng-model-options="{debounce: 250}" ng-change="newRequest(true)">
            <div class="input-group-tabledate" ng-if="field.type === 'date'">

              <div class="input-group">
                <input class="form-control" datepicker-popup is-open="from.datepicker"
                       ng-change="newRequest(true, null)" ng-model="field.search1" placeholder="{{'from' | translate}}">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-default" ng-click="from.datepicker = true">
                      <i class="glyphicon glyphicon-calendar"></i>
                    </button>
                  </span>
              </div>

              <div class="input-group">
                <input class="form-control" datepicker-popup is-open="to.datepicker"
                       ng-change="newRequest(true, null)" ng-model="field.search2" placeholder="{{'to'| translate}}">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-default" ng-click="to.datepicker = true">
                      <i class="glyphicon glyphicon-calendar"></i>
                    </button>
                  </span>
              </div>
            </div>

            <div ng-if="field.type === 'select'">
              <select2 ng-model="field.search" ng-change="newRequest(true)">
                <option quick-ng-repeat="s in ::field.select" value="{{::s.value}}" translate="{{::s.value}}"></option>
              </select2>
            </div>
          </th>
        </tr>
        </thead>
        <tbody>
        <tr ng-if="loading">
          <td class="table-loader" colspan="{{activeFieldsCount}}">
            <svg version="1.1" height="3" width="100%" class="svg-divider" x="0px" y="0px" xml:space="preserve">
              <rect x="1" fill="#157EC4" width="16%" height="3">
                <animate attributeName="x" attributeType="XML" values="0; 84%; 0" begin="0s" dur="1.5s" repeatCount="indefinite" />
              </rect>
            </svg>
          </td>
        </tr>
        <tr ng-if="!data.length && firstDataLoaded">
          <td colspan="{{activeFieldsCount}}" translate="noentries"></td>
        </tr>
        <tr ng-class="{selected: checkSelected(value._id)}" context="context1" ng-click="selectRow(value, $event)" class="tableline" quick-ng-repeat="(fIndex, value) in data" quick-repeat-list="data">
          <td quick-ng-repeat="field in tableSettings.fields" quick-repeat-list="settings" ng-if="field.show">

            <!-- subobject -->
            <div ng-if="::field.subobject !== undefined">
              <div ng-if="::field.type !== 'select' && field.type !== 'date' && field.type !== 'number'" ng-bind="value[field.subobject][field.name]"></div>
              <div ng-if="::field.type === 'select'" translate="{{value[field.subobject][field.name]}}"></div>
              <div ng-if="::field.type === 'date'" ng-bind="value[field.subobject][field.name] | date:'dd.MM.yyyy'"></div>
              <div ng-if="::field.type === 'number'">{{value[field.subobject][field.name].toFixed(field.decimal || 0)}}</div>
            </div>

            <!-- normal -->
            <div ng-if="field.subobject == undefined">
              <div ng-if="::field.type !== 'select' && field.type !== 'date' && field.type !== 'number' && !field.delimiter" ng-bind="value[field.name]"></div>
              <div ng-if="::field.type !== 'select' && field.type !== 'date' && field.delimiter">{{value[field.name].join(field.delimiter)}}</div>
              <div ng-if="::field.type === 'select' && !field.delimiter" translate="{{value[field.name]}}"></div>
              <div ng-if="::field.type === 'select' && field.delimiter">{{value[field.name].join(field.delimiter)}}</div>
              <div ng-if="::field.type === 'date'" ng-bind="value[field.name] | date:'dd.MM.yyyy'"></div>
              <div ng-if="::field.type === 'number'">{{value[field.name].toFixed(field.decimal || 0)}}</div>
            </div>

            <ul ng-if="::(($index == 0) && (contextSettings.length))" class="dropdown-menu dropdowncontext">
              <li class="cElement" quick-ng-repeat="context in ::contextSettings" quick-repeat-list="contexts" ng-if="showContext(context, value)">
                <a ng-href="{{getLink(context, value)}}" ng-click="contclick(context, value, fIndex)" class="cElement">
                  <span ng-class="context.icon" class="glyphicon cElement"></span><span class="cElement" translate="{{context.label}}"></span>
                </a>
              </li>
            </ul>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
